## ros-noetic-cob-robots 0.7.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_robots)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-cob-robots (0.7.9-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-robots (0.7.8-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-robots (0.7.7-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-robots (0.7.6-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-robots (0.7.5-1buster) buster; urgency=high

  * Merge pull request #812 <https://github.com/ipa320/cob_robots/issues/812> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-noetic-cob-robots (0.7.4-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-robots (0.7.3-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-robots (0.7.2-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-robots (0.7.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 09 Aug 2019 22:00:00 -0000

ros-noetic-cob-robots (0.7.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-noetic-cob-robots (0.6.11-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-robots (0.6.10-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-robots (0.6.9-1buster) buster; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-robots (0.6.8-1buster) buster; urgency=high

  * Merge pull request #744 <https://github.com/ipa320/cob_robots/issues/744> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #707 <https://github.com/ipa320/cob_robots/issues/707> from ipa-fxm/update_maintainer
    update maintainer
  * Merge github.com:ipa320/cob_robots into indigo_dev
    Conflicts:
    cob_default_robot_config/robots/cob4-8/script_server/command_gui_buttons.yaml
  * update maintainer
  * Merge pull request #686 <https://github.com/ipa320/cob_robots/issues/686> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-nhg, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-robots (0.6.7-1buster) buster; urgency=high

  * moved cob_supported_robots to standalone repo
  * remove obsolete package cob_controller_configuration_gazebo
  * added cob_supported_robots package
  * Merge pull request #573 <https://github.com/ipa320/cob_robots/issues/573> from ipa-fxm/move_cob_moveit_config
    move cob_moveit_config
  * add missing cob_default_robot_behavior to meta-package
  * adjust version + add to meta-package
  * manually fix changelog
  * Contributors: Felix Messmer, Mathias Lüdtke, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Jul 2017 22:00:00 -0000

ros-noetic-cob-robots (0.6.6-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-robots (0.6.5-1buster) buster; urgency=high

  * cob_behaviour
  * cob_behaviour
  * Contributors: ipa-cob4-2

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-robots (0.6.4-1buster) buster; urgency=high

  * migrate to package format 2
  * remove trailing whitespaces
  * revies dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Aug 2015 22:00:00 -0000

ros-noetic-cob-robots (0.6.3-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-robots (0.6.2-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Jan 2015 23:00:00 -0000

ros-noetic-cob-robots (0.6.1-1buster) buster; urgency=high

  * merge
  * move cob_monitoring to cob_command_tools
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-cob-robots (0.6.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Sep 2014 22:00:00 -0000

ros-noetic-cob-robots (0.5.4-1buster) buster; urgency=high

  * New maintainer
  * Contributors: ipa-nhg

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 27 Aug 2014 22:00:00 -0000

ros-noetic-cob-robots (0.5.3-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 27 Mar 2014 23:00:00 -0000

ros-noetic-cob-robots (0.5.2-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 26 Mar 2014 23:00:00 -0000

ros-noetic-cob-robots (0.5.1-1buster) buster; urgency=high

  * Initial catkinization.
  * Contributors: abubeck

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 19 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-cob-robots
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/cob_robots
Standards-Version: 3.9.2

Package: ros-noetic-cob-robots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cob-bringup, ros-noetic-cob-default-robot-behavior, ros-noetic-cob-default-robot-config, ros-noetic-cob-hardware-config, ros-noetic-cob-moveit-config
Description: This stack holds packages for hardware configuration as well as launch files for starting up the basic layer for operating Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-robots//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
